# Method: cases.comments.get

Retrieve a comment.

EXAMPLES:

cURL:

    comment="projects/some-project/cases/43595344/comments/234567890"
    curl \
      --header "Authorization: Bearer $(gcloud auth print-access-token)" \
      "https://cloudsupport.googleapis.com/v2/$comment"

Python:

    import googleapiclient.discovery

    apiVersion = "v2"
    supportApiService = googleapiclient.discovery.build(
        serviceName="cloudsupport",
        version=apiVersion,
        discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
    )

    request = supportApiService.cases().comments().get(
        name="projects/some-project/cases/43595344/comments/234567890",
    )
    print(request.execute())

### HTTP request

`GET https://cloudsupport.googleapis.com/v2/{name=*/*/cases/*/comments/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the comment to retrieve. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.comments#Comment`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsupport`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).